Type to search.

Delete a workflow

Base URL
https://{kibana_url}
  • DELETE /api/workflows/workflow/{id}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.4 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Delete a single workflow by its ID.

Required privileges

Privileges workflowsManagement:delete

Path parameters

id string · max length: 255 required

Workflow ID

Query parameters

force boolean · default: false

When true, permanently deletes the workflow (hard delete) instead of soft-deleting it. The workflow ID becomes available for reuse.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Response

200

Indicates a successful response